New Search

Denial of Service Vulnerability in ImageMagick 7.0.5-7 - CVE-2017-9141

oval:org.cisecurity:def:2812

In ImageMagick 7.0.5-7 Q16 a crafted file could trigger an assertion failure in the ResetImageProfileIterator function in MagickCore/profile.c because of missing checks in the ReadDDSImage function in coders/dds.c.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Vista
  • Microsoft Windows Server 2016
  • Microsoft Windows 7
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows 10
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows XP
  • Microsoft Windows Server 2000
  • Microsoft Windows 8
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003
  • Microsoft Windows Server 2012
  • Microsoft Windows 8.1
Class:
vulnerability
Reference(s):
  • CVE-2017-9141
Product(s):
  • ImageMagick